Show Ad Pod Request
Get the full request, decision, and ad-break timeline detail for a single ad-pod request.
curl -X GET "https://api.5centscdn.com/v2/ad-manager/101/requests/pod_7e21c9" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/ad-manager/101/requests/pod_7e21c9"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/ad-manager/101/requests/pod_7e21c9", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/ad-manager/101/requests/pod_7e21c9", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/ad-manager/101/requests/pod_7e21c9')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"request": {
"id": "pod_7e21c9",
"publisher_id": "10042",
"request_time": "2026-01-15T10:30:00Z",
"content_id": "1024",
"placement": "preroll",
"content_tags": [
"sports"
],
"category": 3,
"geolocation": {
"continent": {
"geoname_id": 6255149,
"name": "North America"
},
"country": {
"geoname_id": 6252001,
"name": "North America - United States"
},
"subdivision_1": {
"geoname_id": 4482348,
"name": "North America - United States - North Carolina"
},
"city": {
"geoname_id": 4460243,
"name": "North America - United States - North Carolina - Charlotte"
}
},
"device": 3,
"language": "en",
"user_key": "",
"ip": "203.0.113.10",
"user_agent": "Mozilla/5.0 (compatible; SSAI-Player/1.0)",
"os": "iOS",
"browser": "Chrome",
"max_duration": 30,
"min_ad_length": 5,
"max_ad_length": 30,
"decision_status": "decided",
"selected_duration_seconds": 30,
"fill_status": "full",
"created_at": "2026-01-15T10:30:00Z",
"pod_decision": {
"id": "393a76ac-6c92-45f9-90c5-fa1e7b57e8d4",
"request_id": "pod_7e21c9",
"content_id": "1024",
"break_duration_seconds": 30,
"selected_duration_seconds": 30,
"fill_status": "full",
"created_at": "2026-01-15T10:30:00Z",
"items": [
{
"campaign": {
"id": "cmp_4c19",
"name": "Summer Promo 2026"
},
"creative": {
"id": "crv_9a71",
"name": "Summer 30s Spot"
},
"duration_seconds": 30,
"selection_reason": "highest priority match",
"spend_micros": 150000,
"events": [
{}
]
}
]
}
}
}
GET
/ad-manager/{pid}/requests/{podId}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
pidinteger
RequiredID of the Ad Manager project.
path
podIdstring
RequiredID of the ad-pod request.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Operation outcome.
Allowed values:
successerrorrequestobject
Was this page helpful?